%define fname  cyr_rfx
%define cname  koi8-r
%define origname koi8-1
%define prefix %_x11libdir/X11
Name: XFree86-%fname-fonts-%cname
Version: 1.1
Release: alt7
License: distributable
Source: cyr-rfx-%origname-%version.bdfs.tar.bz2
Source1: Makefile.fonts-koi8-r
Source4: fonts.alias.misc-koi8-r
Source5: fonts.alias.75dpi-koi8-r
Requires: XFree86 > 3.2
BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in koi8-1 encoding
Obsoletes: cyr_rfx-koi8-1, XFree86-cyr_rfx-fonts-koi8-1
Provides: XFree86-cyr_rfx-fonts-koi8-1
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: XFree86-libs XFree86-utils

%description
Collection of cyrillic raster fonts for X Window System by D. Bolkhovityanov.

%prep
%setup -q -n  %origname
cd 75dpi
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
%__subst 's/koi8-1/koi8-r/g' *.bdf
cd -
cd misc
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
%__subst 's/koi8-1/koi8-r/g' *.bdf
cd -
cp %SOURCE1 ./Makefile
cp %SOURCE4 ./misc/fonts.alias
rm -f 75dpi/fonts.alias

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%prefix/fonts/%cname
make FONTDIR=$RPM_BUILD_ROOT%prefix/fonts/%cname install

%post
if [ -f /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi
if [ "$LANG" = "ru_RU.KOI8-R" ]; then
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/misc:unscaled
else
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/misc:unscaled
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/misc:unscaled
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/75dpi:unscaled
fi

%files
%doc doc/*
%dir %prefix/fonts/%cname
%prefix/fonts/%cname/misc
%prefix/fonts/%cname/75dpi
%changelog
* Wed Oct 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt7
- fix build in hasher

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt6
- rebuild

* Wed Apr 17 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt5
- fixed sources names

* Tue Apr 16 2002 AEN <aen@logic.ru> 1.1-alt4
- back to alt2

* Tue Apr 16 2002 AEN <aen@logic.ru> 1.1-alt3
- CHARSET_ENCODING changed to "r"

* Tue Apr 16 2002 AEN <aen@logic.ru> 1.1-alt2
- "unscaled" added to font path
* Mon Nov 19 2001 AEN <aen@logic.ru> 1.1-alt1
- new name
- s/koi8-1/koi8-r/

* Sun Feb 18 2001 AEN <aen@logic.ru>
- source global i18n in %post

* Wed Jan 10 2001 AEN <aen@logic.ru>
- restored simple aliases for misc

* Mon Nov 28 2000 AEN <aen@logic.ru>
- 1.1
- build for RE
- name changed

* Mon Dec 27 1999 AEN <aen@logic.ru>
- new aliases

* Tue Dec 21 1999 AEN <aen@logic.ru>
- new version
- build from bdf's

* Fri Dec 10 1999 AEN <aen@logic.ru>
- first spec
